@echo off
color 0E

REM Skript "Peaks und Saddles Prozessing für Mapsforge-Map Erstellung" by Bernard Mai (contact: http://www.maiwolf.de/)

REM License:
REM This skript is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License: https://creativecommons.org/licenses/by-nc-sa/4.0/
REM For commercial usage it is licensed under a Attribution-NoDerivatives 4.0 International License: https://creativecommons.org/licenses/by-nd/4.0/


:: INFORMATIONEN ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo.
echo  ================================================================================
echo    Peaks und Saddles Prozessing für Mapsforge-Map Erstellung
echo  ================================================================================
echo.
echo     1. OSM Daten konvertieren in o5m Format (fuer osmfilter)
echo     2. Peaks und Saddles filtern (osmfilter)
echo     3. Temporaere o5m Datei wieder loeschen
echo     4. Statistik (Anzahl der Nodes) ausgeben
echo     5. Perl data processing
echo     6. Statistics der peaks_saddles_processed.osm ausgeben
echo.
echo  -------------------------------------------------------------------------------
echo.

:: EINSTELLUNGEN ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

set basepath=D:\_KARTENBAU\
set toolpath=%basepath%_TOOLS\
set datapath=%basepath%_DATA\
set peakspath=%basepath%_PEAKS\
set datafile=alpen.osm.pbf

set step=1
set /p step=Direkt zu Schritt:

set stepid=:schritt%step%
goto %stepid%

:: START ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

:schritt1
echo  Schritt 1: OSM Daten konvertieren in o5m Format =============================================================
call %toolpath%osmconvert ^
%datapath%%datafile% ^
-o=%datapath%temp.o5m > peaks_log.txt 2> peaks_errorlog.txt

:schritt2
echo  Schritt 2: Peaks und Saddles ausfiltern ======================================================================
call %toolpath%osmfilter ^
--hash-memory=3000 ^
--keep-nodes="natural=peak =volcano =saddle =notch =col mountain_pass=yes" ^
--drop-ways ^
--drop-relations ^
--ignore-dependencies ^
%datapath%temp.o5m ^
-o=peaks_saddles.osm >> peaks_log.txt 2>> peaks_errorlog.txt

:schritt3
echo  Schritt 3: Temporaere o5m Datei wieder loeschen ==============================================================
del %datapath%temp.o5m

:schritt4
echo  Schritt 4: Statistik (Anzahl der Nodes) ausgeben =============================================================
call %toolpath%osmconvert ^
%peakspath%peaks_saddles.osm ^
--out-statistics >> peaks_log.txt 2>> peaks_errorlog.txt

:schritt5
echo  Schritt 5: Perl data processing ==============================================================================
call perl %peakspath%00_process_peaks.pl >> peaks_log.txt 2>> peaks_errorlog.txt

:schritt6
echo  Schritt 6: Statistik (Anzahl der processed peaks_saddles) ausgeben
call %toolpath%osmconvert ^
%peakspath%peaks_saddles_processed.osm ^
--out-statistics >> peaks_log.txt 2>> peaks_errorlog.txt

del %peakspath%peaks_saddles.osm
del %peakspath%peaks_remaining.csv
del %peakspath%peaks_sorted.csv
del %peakspath%saddle_remaining.csv
del %peakspath%saddle_sorted.csv

color A0
pause